<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau: Référence de la classe Affichage</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-static-methods">Fonctions membres publiques statiques</a> &#124;
<a href="class_affichage-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe Affichage</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="affichage_8hpp_source.html">affichage.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:ae3d05a64af7e21df009c4483e7209c9a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#ae3d05a64af7e21df009c4483e7209c9a">Affichage</a> (struct <a class="el" href="structglobal__data.html">global_data</a> *g_data)</td></tr>
<tr class="memdesc:ae3d05a64af7e21df009c4483e7209c9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur de l'objet <a class="el" href="class_affichage.html">Affichage</a>.  <a href="#ae3d05a64af7e21df009c4483e7209c9a">Plus de détails...</a><br /></td></tr>
<tr class="separator:ae3d05a64af7e21df009c4483e7209c9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a166451c3b02c93f0d263152647f33b29"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#a166451c3b02c93f0d263152647f33b29">Affichage</a> (const <a class="el" href="class_affichage.html">Affichage</a> &amp;affichage)</td></tr>
<tr class="memdesc:a166451c3b02c93f0d263152647f33b29"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur par copie de l'objet <a class="el" href="class_affichage.html">Affichage</a>.  <a href="#a166451c3b02c93f0d263152647f33b29">Plus de détails...</a><br /></td></tr>
<tr class="separator:a166451c3b02c93f0d263152647f33b29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6a4f4db7a0d8d2abc8bd44c1be674c0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#ae6a4f4db7a0d8d2abc8bd44c1be674c0">~Affichage</a> ()</td></tr>
<tr class="memdesc:ae6a4f4db7a0d8d2abc8bd44c1be674c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructeur de l'objet <a class="el" href="class_affichage.html">Affichage</a>.  <a href="#ae6a4f4db7a0d8d2abc8bd44c1be674c0">Plus de détails...</a><br /></td></tr>
<tr class="separator:ae6a4f4db7a0d8d2abc8bd44c1be674c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad58baa5d348f161915bbc94be59e6011"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#ad58baa5d348f161915bbc94be59e6011">InitWindow</a> (int argc, char *argv[])</td></tr>
<tr class="memdesc:ad58baa5d348f161915bbc94be59e6011"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialisation de la fenêtre graphique.  <a href="#ad58baa5d348f161915bbc94be59e6011">Plus de détails...</a><br /></td></tr>
<tr class="separator:ad58baa5d348f161915bbc94be59e6011"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fcf8746071f6e4dd471a6c0e308acd2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#a1fcf8746071f6e4dd471a6c0e308acd2">DrawSvg</a> ()</td></tr>
<tr class="memdesc:a1fcf8746071f6e4dd471a6c0e308acd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dessine le document svg sur le canvas.  <a href="#a1fcf8746071f6e4dd471a6c0e308acd2">Plus de détails...</a><br /></td></tr>
<tr class="separator:a1fcf8746071f6e4dd471a6c0e308acd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dc36ac09ca1f65b4300e61307887c54"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#a0dc36ac09ca1f65b4300e61307887c54">Start</a> ()</td></tr>
<tr class="memdesc:a0dc36ac09ca1f65b4300e61307887c54"><td class="mdescLeft">&#160;</td><td class="mdescRight">Démarre l'affichage de la fenêtre graphique.  <a href="#a0dc36ac09ca1f65b4300e61307887c54">Plus de détails...</a><br /></td></tr>
<tr class="separator:a0dc36ac09ca1f65b4300e61307887c54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f9731dfc1c3b445fb4705849308efe9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#a7f9731dfc1c3b445fb4705849308efe9">Stop</a> ()</td></tr>
<tr class="memdesc:a7f9731dfc1c3b445fb4705849308efe9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Arrête l'affichage de la fenêtre graphique.  <a href="#a7f9731dfc1c3b445fb4705849308efe9">Plus de détails...</a><br /></td></tr>
<tr class="separator:a7f9731dfc1c3b445fb4705849308efe9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Fonctions membres publiques statiques</h2></td></tr>
<tr class="memitem:a8e8d9abcdd46dbf3be9e8917cf6fef6f"><td class="memItemLeft" align="right" valign="top">static gboolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#a8e8d9abcdd46dbf3be9e8917cf6fef6f">on_draw_event</a> (GtkWidget *widget, cairo_t *canvas, gpointer user_data)</td></tr>
<tr class="memdesc:a8e8d9abcdd46dbf3be9e8917cf6fef6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Méthode d'événement.  <a href="#a8e8d9abcdd46dbf3be9e8917cf6fef6f">Plus de détails...</a><br /></td></tr>
<tr class="separator:a8e8d9abcdd46dbf3be9e8917cf6fef6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84112dffae3520e0f39386c163031f06"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#a84112dffae3520e0f39386c163031f06">do_drawing_svg</a> (cairo_t *canvas, RsvgHandle *svg_handle)</td></tr>
<tr class="memdesc:a84112dffae3520e0f39386c163031f06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Redessine le document svg sur le canvas.  <a href="#a84112dffae3520e0f39386c163031f06">Plus de détails...</a><br /></td></tr>
<tr class="separator:a84112dffae3520e0f39386c163031f06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a714168dff2a0f24bd2428576e77c48e0"><td class="memItemLeft" align="right" valign="top">static gboolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#a714168dff2a0f24bd2428576e77c48e0">on_destroy_event</a> (GtkWidget *widget, gpointer user_data)</td></tr>
<tr class="memdesc:a714168dff2a0f24bd2428576e77c48e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Méthode d'événement.  <a href="#a714168dff2a0f24bd2428576e77c48e0">Plus de détails...</a><br /></td></tr>
<tr class="separator:a714168dff2a0f24bd2428576e77c48e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bf6b2eb6135fdff8ce5877d5b05b3c7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#a6bf6b2eb6135fdff8ce5877d5b05b3c7">do_destroy_window</a> (<a class="el" href="class_affichage.html">Affichage</a> *affichage)</td></tr>
<tr class="memdesc:a6bf6b2eb6135fdff8ce5877d5b05b3c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ferme la fenêtre graphique.  <a href="#a6bf6b2eb6135fdff8ce5877d5b05b3c7">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6bf6b2eb6135fdff8ce5877d5b05b3c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5f5202529d0048b48f0bb6f1e7d7d11"><td class="memItemLeft" align="right" valign="top">static gboolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#ab5f5202529d0048b48f0bb6f1e7d7d11">on_resize_event</a> (GtkWidget *widget, GdkRectangle *allocation, gpointer user_data)</td></tr>
<tr class="memdesc:ab5f5202529d0048b48f0bb6f1e7d7d11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Méthode d'événement.  <a href="#ab5f5202529d0048b48f0bb6f1e7d7d11">Plus de détails...</a><br /></td></tr>
<tr class="separator:ab5f5202529d0048b48f0bb6f1e7d7d11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8ea1056adc69d6651669513626c06d7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#aa8ea1056adc69d6651669513626c06d7">do_resize_svg</a> (<a class="el" href="class_affichage.html">Affichage</a> *affichage)</td></tr>
<tr class="memdesc:aa8ea1056adc69d6651669513626c06d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Redimentionne la taille du fichier document svg.  <a href="#aa8ea1056adc69d6651669513626c06d7">Plus de détails...</a><br /></td></tr>
<tr class="separator:aa8ea1056adc69d6651669513626c06d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83912b3afb42dd6e743cf0d754bdfc7d"><td class="memItemLeft" align="right" valign="top">static gboolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_affichage.html#a83912b3afb42dd6e743cf0d754bdfc7d">TickClock</a> (GtkWidget *widget, GdkFrameClock *frame_clock, gpointer user_data)</td></tr>
<tr class="memdesc:a83912b3afb42dd6e743cf0d754bdfc7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cette méthode est rappelé à chaque tick d'horloge. Cela nous permet d'appeler la méthode <a class="el" href="class_affichage.html#a1fcf8746071f6e4dd471a6c0e308acd2" title="Dessine le document svg sur le canvas. ">DrawSvg()</a> avec une cadance réguliaire et ainsi assurer le rafraichissement de l'affichage.  <a href="#a83912b3afb42dd6e743cf0d754bdfc7d">Plus de détails...</a><br /></td></tr>
<tr class="separator:a83912b3afb42dd6e743cf0d754bdfc7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="affichage_8hpp_source.html#l00053">53</a> du fichier <a class="el" href="affichage_8hpp_source.html">affichage.hpp</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="ae3d05a64af7e21df009c4483e7209c9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3d05a64af7e21df009c4483e7209c9a">&#9670;&nbsp;</a></span>Affichage() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Affichage::Affichage </td>
          <td>(</td>
          <td class="paramtype">struct <a class="el" href="structglobal__data.html">global_data</a> *&#160;</td>
          <td class="paramname"><em>g_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructeur de l'objet <a class="el" href="class_affichage.html">Affichage</a>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">g_data</td><td><a class="el" href="struct_structure.html">Structure</a> <a class="el" href="structglobal__data.html">global_data</a> stockant les informations nécessaires à la construction de l'objet. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a166451c3b02c93f0d263152647f33b29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a166451c3b02c93f0d263152647f33b29">&#9670;&nbsp;</a></span>Affichage() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Affichage::Affichage </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_affichage.html">Affichage</a> &amp;&#160;</td>
          <td class="paramname"><em>affichage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructeur par copie de l'objet <a class="el" href="class_affichage.html">Affichage</a>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">affichage</td><td>Objet de type <a class="el" href="class_affichage.html">Affichage</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae6a4f4db7a0d8d2abc8bd44c1be674c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6a4f4db7a0d8d2abc8bd44c1be674c0">&#9670;&nbsp;</a></span>~Affichage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Affichage::~Affichage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructeur de l'objet <a class="el" href="class_affichage.html">Affichage</a>. </p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a6bf6b2eb6135fdff8ce5877d5b05b3c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bf6b2eb6135fdff8ce5877d5b05b3c7">&#9670;&nbsp;</a></span>do_destroy_window()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Affichage::do_destroy_window </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_affichage.html">Affichage</a> *&#160;</td>
          <td class="paramname"><em>affichage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Ferme la fenêtre graphique. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">affichage</td><td>L'affichage courant. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a84112dffae3520e0f39386c163031f06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84112dffae3520e0f39386c163031f06">&#9670;&nbsp;</a></span>do_drawing_svg()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Affichage::do_drawing_svg </td>
          <td>(</td>
          <td class="paramtype">cairo_t *&#160;</td>
          <td class="paramname"><em>canvas</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">RsvgHandle *&#160;</td>
          <td class="paramname"><em>svg_handle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Redessine le document svg sur le canvas. </p>
<p>La méthode appel <a class="el" href="class_affichage.html#a1fcf8746071f6e4dd471a6c0e308acd2" title="Dessine le document svg sur le canvas. ">DrawSvg()</a> pour remettre à jour le <code>svg_handle</code> ainsi que le <code>canvas</code> avant d'afficher ce dernier à l'écran.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">canvas</td><td>Le canvas courant. </td></tr>
    <tr><td class="paramname">svg_handle</td><td>Le dessin produit à partir du document svg. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa8ea1056adc69d6651669513626c06d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8ea1056adc69d6651669513626c06d7">&#9670;&nbsp;</a></span>do_resize_svg()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Affichage::do_resize_svg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_affichage.html">Affichage</a> *&#160;</td>
          <td class="paramname"><em>affichage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Redimentionne la taille du fichier document svg. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">affichage</td><td>L'affichage courant. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1fcf8746071f6e4dd471a6c0e308acd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fcf8746071f6e4dd471a6c0e308acd2">&#9670;&nbsp;</a></span>DrawSvg()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Affichage::DrawSvg </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dessine le document svg sur le canvas. </p>

</div>
</div>
<a id="ad58baa5d348f161915bbc94be59e6011"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad58baa5d348f161915bbc94be59e6011">&#9670;&nbsp;</a></span>InitWindow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Affichage::InitWindow </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialisation de la fenêtre graphique. </p>
<p>Les arguments <code>argc</code> et <code>argv</code> sont utilisé pour initialisé le thread principal de l'affichage graphique.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">argc</td><td>Le nombre de paramètre. </td></tr>
    <tr><td class="paramname">argv</td><td>La liste des paramètres. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a714168dff2a0f24bd2428576e77c48e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a714168dff2a0f24bd2428576e77c48e0">&#9670;&nbsp;</a></span>on_destroy_event()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static gboolean Affichage::on_destroy_event </td>
          <td>(</td>
          <td class="paramtype">GtkWidget *&#160;</td>
          <td class="paramname"><em>widget</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gpointer&#160;</td>
          <td class="paramname"><em>user_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Méthode d'événement. </p>
<p>Capture l'événement de fermeture de la fenêtre et appel la méthode <a class="el" href="class_affichage.html#a6bf6b2eb6135fdff8ce5877d5b05b3c7" title="Ferme la fenêtre graphique. ">do_destroy_window()</a>.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">widget</td><td>La fenêtre qui doit être fermé. </td></tr>
    <tr><td class="paramname">user_data</td><td>Le pointeur de l'affichage courant casté en <code>void*</code>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>gboolean </dd></dl>

</div>
</div>
<a id="a8e8d9abcdd46dbf3be9e8917cf6fef6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e8d9abcdd46dbf3be9e8917cf6fef6f">&#9670;&nbsp;</a></span>on_draw_event()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static gboolean Affichage::on_draw_event </td>
          <td>(</td>
          <td class="paramtype">GtkWidget *&#160;</td>
          <td class="paramname"><em>widget</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">cairo_t *&#160;</td>
          <td class="paramname"><em>canvas</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gpointer&#160;</td>
          <td class="paramname"><em>user_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Méthode d'événement. </p>
<p>Capture l'événement de mise à jour de la zone de dessin et appel la méthode <a class="el" href="class_affichage.html#a84112dffae3520e0f39386c163031f06" title="Redessine le document svg sur le canvas. ">do_drawing_svg()</a>.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">widget</td><td>Un widget de dessin. </td></tr>
    <tr><td class="paramname">canvas</td><td>Le canvas du widget. </td></tr>
    <tr><td class="paramname">user_data</td><td>Le pointeur du <code>RsvgHandle</code> courant casté en <code>void*</code>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>gboolean </dd></dl>

</div>
</div>
<a id="ab5f5202529d0048b48f0bb6f1e7d7d11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5f5202529d0048b48f0bb6f1e7d7d11">&#9670;&nbsp;</a></span>on_resize_event()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static gboolean Affichage::on_resize_event </td>
          <td>(</td>
          <td class="paramtype">GtkWidget *&#160;</td>
          <td class="paramname"><em>widget</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GdkRectangle *&#160;</td>
          <td class="paramname"><em>allocation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gpointer&#160;</td>
          <td class="paramname"><em>user_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Méthode d'événement. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">widget</td><td>Le widget dont la taille est redimentionné. </td></tr>
    <tr><td class="paramname">allocation</td><td>La nouvelle taille du widget. </td></tr>
    <tr><td class="paramname">user_data</td><td>Le pointeur de l'affichage courant casté en <code>void*</code>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>gboolean </dd></dl>

</div>
</div>
<a id="a0dc36ac09ca1f65b4300e61307887c54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0dc36ac09ca1f65b4300e61307887c54">&#9670;&nbsp;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Affichage::Start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Démarre l'affichage de la fenêtre graphique. </p>

</div>
</div>
<a id="a7f9731dfc1c3b445fb4705849308efe9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f9731dfc1c3b445fb4705849308efe9">&#9670;&nbsp;</a></span>Stop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Affichage::Stop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Arrête l'affichage de la fenêtre graphique. </p>

</div>
</div>
<a id="a83912b3afb42dd6e743cf0d754bdfc7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83912b3afb42dd6e743cf0d754bdfc7d">&#9670;&nbsp;</a></span>TickClock()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static gboolean Affichage::TickClock </td>
          <td>(</td>
          <td class="paramtype">GtkWidget *&#160;</td>
          <td class="paramname"><em>widget</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GdkFrameClock *&#160;</td>
          <td class="paramname"><em>frame_clock</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gpointer&#160;</td>
          <td class="paramname"><em>user_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Cette méthode est rappelé à chaque tick d'horloge. Cela nous permet d'appeler la méthode <a class="el" href="class_affichage.html#a1fcf8746071f6e4dd471a6c0e308acd2" title="Dessine le document svg sur le canvas. ">DrawSvg()</a> avec une cadance réguliaire et ainsi assurer le rafraichissement de l'affichage. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">widget</td><td>Un widget. </td></tr>
    <tr><td class="paramname">frame_clock</td><td>L'horloge du widget. </td></tr>
    <tr><td class="paramname">user_data</td><td>Le pointeur de l'affichage courant casté en <code>void*</code>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>gboolean </dd></dl>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>include/class/<a class="el" href="affichage_8hpp_source.html">affichage.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
